Package frc.robot.subsystems.swervedrive2.swervelib.parser.json

## Class ControllerPropertiesJson

- java.lang.Object
- - frc.robot.subsystems.swervedrive2.swervelib.parser.json.ControllerPropertiesJson

-     public class ControllerPropertiesJson
      extends Object

  `SwerveController` parsed class. Used to access the JSON data.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `angleJoystickRadiusDeadband` | The minimum radius of the angle control joystick to allow for heading adjustment of the robot.
    `PIDFConfig` | `heading` | The PID used to control the robot heading.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ControllerPropertiesJson()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SwerveControllerConfiguration` | `createControllerConfiguration​(SwerveDriveConfiguration driveConfiguration)` | Create the `SwerveControllerConfiguration` based on parsed and given data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### angleJoystickRadiusDeadband

          public double angleJoystickRadiusDeadband

      The minimum radius of the angle control joystick to allow for heading adjustment of the robot.

    - #### heading

          public PIDFConfig heading

      The PID used to control the robot heading.

  - ### Constructor Detail

    - #### ControllerPropertiesJson

          public ControllerPropertiesJson()

  - ### Method Detail

    - #### createControllerConfiguration

          public SwerveControllerConfiguration createControllerConfiguration​(SwerveDriveConfiguration driveConfiguration)

      Create the `SwerveControllerConfiguration` based on parsed and given data.
      Parameters:
        `driveConfiguration` - `SwerveDriveConfiguration` parsed configuration.
      Returns:
        `SwerveControllerConfiguration` object based on parsed data.